
#--------------------------------------------------------------------------------------------------------------
#--------------------------------------------------------------------------------------------------------------
# Name: fibonacci-service
# Description: A spring boot microservice implementation for monorepo devops template.
#--------------------------------------------------------------------------------------------------------------
#--------------------------------------------------------------------------------------------------------------

#--------------------------------------------------------------------------------------------------------------
#
# Begin fibonacci-service make targets
#
#--------------------------------------------------------------------------------------------------------------

#--------------------------------------------------------------------------------------------------------------
# test local
#--------------------------------------------------------------------------------------------------------------
# Test the fibonacci-service repo module locally within the GitPod developer IDE.
#--------------------------------------------------------------------------------------------------------------
fibonacci-service/test-local:
	mvn test -f modules/fibonacci-service/pom.xml

#--------------------------------------------------------------------------------------------------------------
# run local
#--------------------------------------------------------------------------------------------------------------
# Run the fibonacci-service locally within the developer IDE using docker.
#--------------------------------------------------------------------------------------------------------------
fibonacci-service/run-local: fibonacci-service/containerize-local
	docker run -p 8080:8080 fibonacci-service:latest

#--------------------------------------------------------------------------------------------------------------
# containerize local
#--------------------------------------------------------------------------------------------------------------
# Package the fibonacci-service in a docker container and publish locally.
#--------------------------------------------------------------------------------------------------------------
fibonacci-service/containerize-local: fibonacci-service/package-local
	docker build -f modules/fibonacci-service/Dockerfile -t fibonacci-service:latest modules/fibonacci-service/

#--------------------------------------------------------------------------------------------------------------
# package local
#--------------------------------------------------------------------------------------------------------------
# Package the fibonacci-service java application in a JAR.
#--------------------------------------------------------------------------------------------------------------
fibonacci-service/package-local:
	mvn package -f modules/fibonacci-service/pom.xml

#--------------------------------------------------------------------------------------------------------------
#
# End fibonacci-service make targets
#
#--------------------------------------------------------------------------------------------------------------
